# Webhook Subscription

Get a Webhook Subscription by ID.

Endpoint: GET /v1/webhooks/{webhookSubscriptionId}
Version: v1
Security: ApiKeyAuth

## Path parameters:

  - `webhookSubscriptionId` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.id` (string, required)
    The Webhook Subscription ID

  - `data.name` (string, required)
    The Webhook Subscription name

  - `data.subscribedEvents` (array)
    The set of events this Webhook Subscription is subscribed to

  - `data.url` (string, required)
    URL of the server that the webhook request should be sent to

  - `data.secretKey` (string, required)
    Dixa generated secret key, used to sign the requests

  - `data.enabled` (boolean, required)
    Defines whether this Webhook Subscription is enabled or disabled

  - `data.createdAt` (string, required)
    Date when this Webhook Subscription was created

  - `data.createdBy` (string, required)
    The ID of the user who created this Webhook Subscription

  - `data.updatedAt` (string, required)
    Date when this Webhook Subscription was last updated

  - `data.updatedBy` (string, required)
    The ID of the user who last updated this Webhook Subscription

## Response 400 fields (application/json):

  - `message` (string, required)

## Response 404 fields (application/json):

  - `message` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)

